Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class DbStoreInfo

    java.lang.Object
      com.tibco.tibjms.admin.StoreInfo
          com.tibco.tibjms.admin.DbStoreInfo

    public class DbStoreInfo

extends StoreInfo

Class representing information about server's database-based store.

Constructor Summary
`DbStoreInfo(MapMessage msg)`

Method Summary
`java.lang.String` | `getDriverDialect()` Get the store's Hibernate dialect.
`java.lang.String` | `getDriverName()` Get the store's JDBC driver class name.
`java.lang.String` | `getURL()` Get the store's JDBC URL.
`java.lang.String` | `getUserName()` Get the user name used to access the store.
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.tibjms.admin.StoreInfo
`getFileSize, getFreeSpace, getMsgBytes, getMsgCount, getSwappedBytes, getSwappedCount, getUsedSpace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbStoreInfo

    public DbStoreInfo(MapMessage msg)
                throws JMSException

Throws:
  `JMSException`

Method Detail

### getDriverName

    public java.lang.String getDriverName()

  Get the store's JDBC driver class name.

  Returns:
    driver name

### getURL

    public java.lang.String getURL()

  Get the store's JDBC URL.

  Returns:
    URL

### getUserName

    public java.lang.String getUserName()

  Get the user name used to access the store.

  Returns:
    user name

### getDriverDialect

    public java.lang.String getDriverDialect()

  Get the store's Hibernate dialect.

  Returns:
    driver dialect

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved